## libbiosoup-dev 0.10.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.11)

project(biosoup VERSION 0.10.0
                LANGUAGES CXX
                DESCRIPTION "Biosoup is a c++ collection of header only data structures used for storage and logging in bioinformatics tools.")

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -pedantic")
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/lib)
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/lib)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/bin)

if (CMAKE_SOURCE_DIR STREQUAL PROJECT_SOURCE_DIR)
  set(biosoup_main_project ON)
endif ()
option(biosoup_install "Generate install target" ${biosoup_main_project})
option(biosoup_build_tests "Build unit tests" ${biosoup_main_project})

if (biosoup_build_tests)
  find_package(GTest 1.10.0 QUIET)
  if (NOT GTest_FOUND)
    include(FetchContent)

    FetchContent_Declare(
      googletest
      GIT_REPOSITORY https://github.com/google/googletest
      GIT_TAG release-1.10.0)

    FetchContent_GetProperties(googletest)
    if (NOT googletest_POPULATED)
      FetchContent_Populate(googletest)
      add_subdirectory(
        ${googletest_SOURCE_DIR}
        ${googletest_BINARY_DIR}
        EXCLUDE_FROM_ALL)
      add_library(GTest::Main ALIAS gtest_main)
    endif ()
  endif ()
endif ()

add_library(biosoup INTERFACE)
add_library(${PROJECT_NAME}::biosoup ALIAS biosoup)

target_include_directories(biosoup INTERFACE
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>)

if (biosoup_install)
  include(GNUInstallDirs)
  include(CMakePackageConfigHelpers)

  configure_package_config_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/Config.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}Config.cmake
    INSTALL_DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME})
  write_basic_package_version_file(
    ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}ConfigVersion.cmake
    COMPATIBILITY SameMinorVersion)

  install(
    TARGETS biosoup
    EXPORT ${PROJECT_NAME}Targets)
  install(
    DIRECTORY include/biosoup
    DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})
  install(
    EXPORT ${PROJECT_NAME}Targets
    NAMESPACE ${PROJECT_NAME}::
    DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME})
  install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}Config.cmake
          ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}ConfigVersion.cmake
    DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME})
endif ()

if (biosoup_build_tests)
  add_executable(biosoup_test
    test/nucleic_acid_test.cpp
    test/overlap_test.cpp
    test/progress_bar_test.cpp
    test/sequence_test.cpp
    test/timer_test.cpp)

  target_link_libraries(biosoup_test
    biosoup
    GTest::Main)
endif ()

=== debian/changelog ===
libbiosoup-dev (0.10.0-4) unstable; urgency=medium

  * Team upload.
  * Update versioned Breaks+Replaces since accidentally the headers
    remained inside libbioparser-dev 3.0.15-1
    Closes: #1000857

 -- Andreas Tille <tille@debian.org>  Wed, 01 Dec 2021 08:15:56 +0100

libbiosoup-dev (0.10.0-3) unstable; urgency=medium

  * Team upload.
  * Breaks+Replaces: libbioparser-dev (<= 3.0.12-1)
    Closes: #1000857

 -- Andreas Tille <tille@debian.org>  Tue, 30 Nov 2021 11:52:04 +0100

libbiosoup-dev (0.10.0-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload

 -- Andreas Tille <tille@debian.org>  Sat, 27 Nov 2021 19:28:04 +0100

libbiosoup-dev (0.10.0-1) unstable; urgency=low

  * Team upload.
  * Initial release. (Closes: #984815)

 -- Andreas Tille <tille@debian.org>  Fri, 15 Oct 2021 08:42:27 +0200

=== debian/control ===
Source: libbiosoup-dev
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               libgtest-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/med-team/libbiosoup-dev
Vcs-Git: https://salsa.debian.org/med-team/libbiosoup-dev.git
Homepage: https://github.com/rvaser/biosoup/
Rules-Requires-Root: no

Package: libbiosoup-dev
Architecture: all
Section: libdevel
Depends: ${misc:Depends}
Breaks: libbioparser-dev (<= 3.0.15-1)
Replaces: libbioparser-dev (<= 3.0.15-1)
Description: C++ header-only support library for bioinformatics tools
 Biosoup is a c++ collection of header only data structures used for storage
 and logging in bioinformatics tools.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

DEB_CMAKE_EXTRA_FLAGS = -Dbiosoup_build_tests=ON -Dbiosoup_install=ON \
			-DCMAKE_INSTALL_LIBDIR=lib

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CMAKE_EXTRA_FLAGS)

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	obj-*/bin/biosoup_test
endif

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
 https://github.com/rvaser/biosoup/tags .*/@ANY_VERSION@@ARCHIVE_EXT@

## libbiosoup-dev 0.11.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.11)
 
-project(biosoup VERSION 0.10.0
+project(biosoup VERSION 0.11.0
                 LANGUAGES CXX
                 DESCRIPTION "Biosoup is a c++ collection of header only data structures used for storage and logging in bioinformatics tools.")

=== debian/changelog ===
libbiosoup-dev (0.11.0-3) unstable; urgency=medium

  * Team Upload.
  * d/patches: remove arch dep stuff in .cmake files
    (Closes: #1103129)
  * Bump Standards-Version to 4.7.0 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 04 May 2025 20:47:21 +0530

libbiosoup-dev (0.11.0-2) unstable; urgency=medium

  * d/rules: Don't install the Meson build file into /usr/include.
    Closes: #1067500

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 22 Mar 2024 17:06:39 +0100

libbiosoup-dev (0.11.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 21 Mar 2024 14:22:38 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
                cmake,
                libgtest-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/libbiosoup-dev
 Vcs-Git: https://salsa.debian.org/med-team/libbiosoup-dev.git
 Homepage: https://github.com/rvaser/biosoup/
@@ -18,6 +18,7 @@
 Depends: ${misc:Depends}
 Breaks: libbioparser-dev (<= 3.0.15-1)
 Replaces: libbioparser-dev (<= 3.0.15-1)
+Multi-Arch: foreign
 Description: C++ header-only support library for bioinformatics tools
  Biosoup is a c++ collection of header only data structures used for storage
  and logging in bioinformatics tools.

=== debian/rules ===
--- 
+++ 
@@ -15,3 +15,6 @@
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	obj-*/bin/biosoup_test
 endif
+
+execute_after_dh_install:
+	find debian -name meson.build -delete
